GWT 2.7.0

## com.google.gwt.core.ext
Class RebindResult

    java.lang.Object
      com.google.gwt.core.ext.RebindResult

    public class RebindResult

extends java.lang.Object

A class for returning the result of a rebind operation.

Constructor Summary
`RebindResult(RebindMode rebindMode, java.lang.String resultType)` Constructs a result using the provided rebindMode and resultTypeName.

Method Summary
`java.util.Map<java.lang.String,java.io.Serializable>` | `getClientDataMap()` Returns a map containing all client data added to this result.
`RebindMode` | `getRebindMode()`
`java.lang.String` | `getResultTypeName()`
`void` | `putClientData(java.lang.String key, java.io.Serializable data)` Adds keyed, serializable data to a rebind result.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RebindResult

    public RebindResult(RebindMode rebindMode,
                        java.lang.String resultType)

  Constructs a result using the provided rebindMode and resultTypeName.

  Parameters:
    `rebindMode` -
    `resultType` -
  See Also:
    `RebindMode`

Method Detail

### getClientDataMap

    public java.util.Map<java.lang.String,java.io.Serializable> getClientDataMap()

  Returns a map containing all client data added to this result.

  Returns:
    A map containing all client data added to this result. Returns `null` if no client data has been added.

### getRebindMode

    public RebindMode getRebindMode()

  Returns:
    The rebind mode used to construct this result.

### getResultTypeName

    public java.lang.String getResultTypeName()

  Returns:
    The type name used to construct this result.

### putClientData

    public void putClientData(java.lang.String key,
                              java.io.Serializable data)

  Adds keyed, serializable data to a rebind result. This data will be made available, as part of a `CachedGeneratorResult`, to subsequent invocations of the same generator, when called under the same conditions (e.g. for the same rebind rule and requested type name). A generator implementation can use this to remember information needed for subsequent regeneration, such as for making cache reuse decisions.

  Parameters:
    `key` -
    `data` -
  See Also:
    `CachedGeneratorResult`, `GeneratorContext.getCachedGeneratorResult()`

GWT 2.7.0